//setup.npcReactionCooldown = 60;

setup.getNPCPreference = function(preferenceId:string){
    if(setup.npcPreferences[preferenceId])
        return setup.npcPreferences[preferenceId];
    return {matches:(pc)=>false}; 
}

setup.npcPreferences = {};
setup.npcPreferences.short_skirt={
    matches:(pc:PlayerCharacter)=>(pc.outfit.clothes.bottomShortness >= EOutfitBottomShortness.THIGH_LENGTH)
	/*s:"$wardrobe.PCloSkirt >= 1 && $wardrobe.PCloSkirt < 4",
	f:"$wardrobe.PCloSkirt >= 4",
	sm:"I like the length of your skirt. It's not too slutty.",
	fm:"Your skirt is too short for my taste. It makes you look slutty.",
	d:"Dislikes short skirts (shorter than knee length)"*/
}

setup.npcPreferences.piercing = {
	matches:(pc:PlayerCharacter)=>false
}